<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !iSUPERADMIN) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_name = "Personal Page";
$inf_version = "1.2";
$inf_author = "uaqboost";
$inf_email = "ali2000@hotmail.com";
$inf_web = "http://www.php-fusion.co.uk";
$inf_description = "Members can make their Personal page and view it to other members.";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "personal_page";
$inf_admin = "personal_page_admin.php";

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).
$inf_link_name = "Personal Pages";
$inf_link_url = "ppages.php";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].
$inf_create_tables[0] = "CREATE TABLE ".$fusion_prefix."ppage (
		`user_id` smallint(5) NOT NULL default '0',
    `page_title` varchar(60) NOT NULL default '',
    `page_body` text NOT NULL,
    `allowbbcode` tinyint(1) NOT NULL default '0',
    `allowsmilies` tinyint(1) NOT NULL default '0',
    `dismember` tinyint(1) NOT NULL default '0',
    `page_cat` smallint(5) unsigned NOT NULL default '0',
    `page_count` smallint(5) unsigned NOT NULL default '0',
    `approve` tinyint(1) NOT NULL default '0'
			) TYPE=MyISAM;";

$inf_create_tables[1] = "CREATE TABLE ".$fusion_prefix."ppage_set (
		`allowbbcode` tinyint(1) NOT NULL default '1',
    `allowsmilies` tinyint(1) NOT NULL default '1',
    `ppage_access` tinyint(1) NOT NULL default '1',
    `autoapprove` tinyint(1) NOT NULL default '1'
			) TYPE=MyISAM;";

$inf_create_tables[2] = "INSERT INTO ".$fusion_prefix."ppage_set VALUES (1, 1, 1, 0);";

$inf_create_tables[3] = "CREATE TABLE ".$fusion_prefix."ppage_cats (
		`ppage_cat_id` smallint(5) unsigned NOT NULL auto_increment,
  `ppage_cat_name` varchar(100) NOT NULL default '',
  `ppage_cat_description` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`ppage_cat_id`)
			) TYPE=MyISAM  AUTO_INCREMENT=1;";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$fusion_prefix."ppage";
$inf_drop_tables[1] = "DROP TABLE IF EXISTS ".$fusion_prefix."ppage_set";
$inf_drop_tables[2] = "DROP TABLE IF EXISTS ".$fusion_prefix."ppage_cats";

?>
